/* AMBGRO - program for convering AMBER RST coordinates to GROMACS GRO coordinates */
/* Filip Ryjacek 2002 */

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <stddef.h>
#include <string.h>
#include <mcheck.h>

#include "ambconv.h"


// write TINKER .key file
void write_key(s_atop* atop)
  {
    FILE* key;

// debug memory allocation
#ifdef DEBUG_MEM
  mtrace();
#endif

key_filename = (char*) xmalloc(strlen(common_filename)+5);
key_filename = strcat(common_filename, ".key");

#ifdef DEBUG_TTOP
  printf("\nwrite_key: opening %s...\n", key_filename);
#endif

// open file
key = open_file(key_filename, "w");

  fprintf(key, "parameters %20s\n", tintop_filename);
  fprintf(key, "verbose\n");
  fprintf(key, "cutoff     %20.2f\n", 99.9);
  fprintf(key, "dielectric %20.2f\n", 1.0);



// close file and free memory
close_file(key);

#ifdef DEBUG_TTOP
  printf("write_key: %s closed\n", key_filename);
#endif

free(key_filename);

#ifdef DEBUG_MEM
  muntrace();
#endif

}
